Groovy Documentation

## org.codehaus.groovy.reflection
[Java] Class ReflectionCache

    java.lang.Object
      org.codehaus.groovy.reflection.ReflectionCache

    public class ReflectionCache
    extends java.lang.Object

Field Summary
`static CachedClass` | `OBJECT_ARRAY_CLASS`
`static CachedClass` | `OBJECT_CLASS`

Method Summary
`static java.lang.Class` | `autoboxType(java.lang.Class type)`
`static CachedClass` | `getCachedClass(java.lang.Class klazz)`
`static java.lang.String` | `getMOPMethodName(CachedClass declaringClass, java.lang.String name, boolean useThis)`
`static boolean` | `isArray(java.lang.Class klazz)`
`static boolean` | `isAssignableFrom(java.lang.Class klazz, java.lang.Class aClass)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### OBJECT_ARRAY_CLASS

    public static final CachedClass OBJECT_ARRAY_CLASS

### OBJECT_CLASS

    public static final CachedClass OBJECT_CLASS

Method Detail

### autoboxType

    public static java.lang.Class autoboxType(java.lang.Class type)

### getCachedClass

    public static CachedClass getCachedClass(java.lang.Class klazz)

### getMOPMethodName

    public static java.lang.String getMOPMethodName(CachedClass declaringClass, java.lang.String name, boolean useThis)

### isArray

    public static boolean isArray(java.lang.Class klazz)

### isAssignableFrom

    public static boolean isAssignableFrom(java.lang.Class klazz, java.lang.Class aClass)

Groovy Documentation